Subject: Re: wild cards

From: Mark Andrews <[email-masked]>
Date: Tue, 07 Sep 2004 11:13:42 +1000

> 
> > On Wed, Sep 01, 2004 at 11:56:47AM -0400, Edward Lewis wrote:
> > > >Issue (4b): Whether or not "*" can be in the middle of a name.  There
> > > >was no discussion in the room on this one.  The basic issue is that
> > > >the draft goes to great length to talk about how this is handled.
> > > >Later on, someone noticed that 1034 discourages this.
> > 
> > It seems like BIND did change behaviour server-side when loading zones
> > containing such wildcard constructs between 8 and 9. The SourceForge
> > people got bitten by that:
> > 
> > http://sourceforge.net/docman/display_doc.php?group_id=1&docid=2352
> > 
> > <cite>
> > As of 2004-04-28 the CVS services will no longer function with the
> > hostname of cvs.PROJECTNAME.sourceforge.net. You should change your CVS
> > commands to use the host cvs.sourceforge.net [...]. This issue came
> > about as a result of upgrading from BIND 8 to BIND 9 which doesn't
> > allow for a wildcard in the middle of a hostname.
> > </cite>
> > 
> > 
> > Best regards,
> > Daniel
> > 
> > --
> > to unsubscribe send a message to [email-masked] with
> > the word 'unsubscribe' in a single line as the message text body.
> > archive: <http://ops.ietf.org/lists/namedroppers/>
> 
> 	Strange as there has never been a test for this in the BIND 9.
> 	Stranger still as they work as you would expect them to work.
> 	NODATA responses for cvs.PROJECTNAME.sourceforge.net.example.
> 
> 	It really sounds like they had a hacked version of BIND 8.

	Or on further investigation old BIND 8 versions may have
	matched a single label to the "*".  nlookup() has assumptions
	that are not met when there is names below the wildcard.
 
> 	Mark
--
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>